using System;

using Microsoft.Xna.Framework;

namespace Syntriax.Engine.Core.Abstract;

public interface ITransform
{
    Action<ITransform>? OnPositionChanged { get; set; }
    Action<ITransform>? OnScaleChanged { get; set; }
    Action<ITransform>? OnRotationChanged { get; set; }

    Vector2 Position { get; set; }
    Vector2 Scale { get; set; }

    float Rotation { get; set; }
}
